﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Timers;

namespace COServer_Project
{
    public enum Gems : int
    {
        NormalPhoenix = 1,
        RefinedPhoenix = 2,
        SuperPhoenix = 3,
        NormalDragon = 11,
        RefindedDragon = 12,
        SuperDragon = 13,
        NormalFury = 21,
        RefinedFury = 22,
        SuperFury = 23,
        NormalRainbow = 31,
        RefinedRainbow = 32,
        SuperRainbow = 33,
        NormalKylin = 41,
        RefinedKylin = 42,
        SuperKylin = 43,
        NormalViolet = 51,
        RefinedViolet = 52,
        SuperViolet = 53,
        NormalMoon = 61,
        RefinedMoon = 62,
        SuperMoon = 63,
        NormalTortoise = 71,
        RefinedTortoise = 72,
        SuperTortoise = 73,
        NoGem = 255,
        NoSocket = 0
    }
    public enum Maps : ushort
    {
        FurnitureStore = 10001,
        MineL = 10003,
        MineR = 10004,
        MineLL = 10005,
        MineLLL = 10006,
        MineLLR = 10007,
        MineLR = 10008,
        MineLRR = 10009,
        MineLRL = 10010,
        MineRL = 10011,
        MineRR = 10012,
        MineRRL = 10013,
        MineRRR = 10014,
        MineRLL = 10015,
        MineRLR = 10016,
        Desert = 1000,
        AncientMaze = 1001,
        TwinCity = 1002,
        Mine = 1003,
        Promotion = 1004,
        PKArena = 1005,
        Stables = 1006,
        BirthVillage = 1010,
        PhoenixCastle = 1011,
        RebirthMap = 1012,
        HalkingCave = 1013,
        BanditCave = 1014,
        BirdIsland = 1015,
        TombBatCave = 1016,
        AdvanceZone = 1017,
        ApeMoutain = 1020,
        DesertCity = 1000,
        Moonspring = 1000,
        WaterFallCave = 1011,
        MapleForest = 1011,
        LoveCanyon = 1020,
        ReedsIsland = 1015,
        DreamLand = 1012,
        WonderLand = 1013,
        DragonPool = 1014,
        KylinCave = 1016,
        DisCity = 1039,
        Market = 1036,
        lottery = 700,
        desert = 1000,
        d_antre01 = 1001,
        newplain = 1002,
        mine01 = 1003,
        forum = 1004,
        arena = 1005,
        horse = 1006,
        star01 = 1100,
        star02 = 1101,
        star03 = 1102,
        star04 = 1103,
        star05 = 1104,
        star10 = 1105,
        star06 = 1106,
        star07 = 1107,
        star08 = 1108,
        star09 = 1109,
        smith = 1007,
        ColorsShop = 1008,
        grocery2 = 1009,
        newbie = 1010,
        woods = 1011,
        sky = 1012,
        tiger = 1013,
        dragon = 1014,
        island = 1015,
        qiling = 1016,
        warena = 1017,
        CTFMap = 1018,
        larena = 1019,
        canyon = 1020,
        mine = 1021,
        brave = 1022,
        mineone = 1025,
        minetwo = 1026,
        minethree = 1027,
        minefour = 1028,
        mineone2 = 1029,
        minetwo2 = 1030,
        minethree2 = 1031,
        minefour2 = 1032,
        newbie2 = 1035,
        mineone3 = 5000,
        prison = 6000,
        street = 1036,
        factionblack = 1037,
        GuildWar = 1038,
        TrainingGround = 1039,
        skycut = 1040,
        skymaze = 1041,
        prison2 = 6001,
        lineuppass = 1042,
        lineup = 1043,
        lineup2 = 1044,
        lineup3 = 1045,
        lineup4 = 1046,
        lineup5 = 1047,
        lineup6 = 1048,
        lineup7 = 1049,
        lineup8 = 1050,
        riskisland = 1051,
        skymaze1 = 1060,
        skymaze2 = 1061,
        skymaze3 = 1062,
        star = 1064,
        boa = 1070,
        parena1 = 1080,
        parena2 = 1081,
        newcanyon = 1075,
        newwoods = 1076,
        newdesert = 1077,
        newisland = 1078,
        mysisland = 1079,
        riskisland1 = 1063,
        idlandmap = 1082,
        parenam = 1090,
        parenas = 1091,
        house01 = 1098,
        house03 = 1099,
        sanctuary = 1601,
        task01 = 1201,
        task02 = 1202,
        task04 = 1204,
        task05 = 1205,
        task07 = 1207,
        task08 = 1208,
        task10 = 1210,
        task11 = 1211,
        islandsnail = 1212,
        desertsnail = 1213,
        canyonfairy = 1214,
        woodsfairy = 1215,
        newplainfairy = 1216,
        minea = 1500,
        mineb = 1501,
        minec = 1502,
        mined = 1503,
        Lab1 = 1351,
        Lab2 = 1352,
        Lab3 = 1353,
        Lab4 = 1354,
        //PK Maps of city's
        slpk = 1505,
        hhpk = 1506,
        blpk = 1507,
        ympk = 1508,
        mfpk = 1509,

        faction01 = 1550,
        faction012 = 1551,
        grocery3 = 1510,
        forum1 = 1511,
        tiger1 = 1512,
        jokul01 = 1615,
        tiemfiles = 1616,
        tiemfiles1 = 1617,

        HellGate = 2021,
        HellSquare = 2022,
        HellSloister = 2023,
        HellSigil = 2024,

        cordiform = 1645,
        faction2 = 1560,
        faction3 = 1561,
        forum2 = 1707,
        Gulf = 1700,
        Huis4 = 601,
        fairylandPK07 = 1760,
        kunlun1 = 1712,
        kunlun2 = 1713,
        kunlun3 = 1714,
        kunlun4 = 1715,
        kunlun5 = 1716,
        kunlun6 = 1717,
        kunlun7 = 1718,
        kunlun8 = 1719,
        kunlun9 = 1720,
        Halloween2007d = 1763,
        Halloween2007c = 1764,
        Halloween2007b = 1765,
        Halloween2007a = 1766,
        Halloween2007Boss = 1767,
    }
    public struct DMAPPiece
    {
        public DMapzAccess Access;
        public bool Monster;
    }
    public enum DMapzAccess : byte
    {
        Access = 0,
        NoAccess = 1
    }
    public enum DMapzGround
    {
        Brick = 0,
        Water = 1,
        Grass = 3
    }
    public enum UpdateChar : int
    {
        Unknown1 = 1,
        MP = 2,
        Unknown = 3,
        Gold = 4,
        Exp = 5,
        PKP = 6,
        JobClass = 7,
        Blessed = 8,
        Stamina = 9,
        HP = 10,
        StatPoints = 11,
        Model = 12,
        Level = 13,
        Spirit = 14,
        Vitality = 15,
        Strength = 16,
        Agility = 17,
        BlessedTime = 18,
        DoubleExpTime = 19,
        CursedTime = 21,
        SecondRebornRings = 23,
        AllTheCall = 26,
        Hair = 27,
        XpCircle = 28,
        LuckyTime = 29,
        Cp = 30
    }

    public struct GemEffect
    {
        public bool Dragon;
        public bool Violet;
        public bool Tortoise;
        public bool Rainbow;
        public bool Phoenix;
        public bool Kylin;
        public bool Fury;
        public bool Moon;
    }

    public struct EnchantData
    {
        public int Min;
        public int Max;
    }
}